Package: v-sim / 3.7.2-8

Metadata

Package Version Patches format
v-sim 3.7.2-8 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
python3.patch | (download)

configure | 14 7 + 7 - 0 !
configure.ac | 12 6 + 6 - 0 !
m4/python.m4 | 4 2 + 2 - 0 !
3 files changed, 15 insertions(+), 15 deletions(-)

 port build system to use python 3
 Update autoconf build system bits to find Python 3.

Bug: #938803

direct overrides import.patch | (download)

lib/plug-ins/python-gi/v_sim.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 properly import the module in overrides
 The importation of the v_sim module in the override files was not following
 the proper Gobject Introspection convention, making 'import gi.overrides.v_sim'
 failed before patch.
Bug-Debian: https://bugs.debian.org/896226


openbabel3 build.patch | (download)

configure | 16 8 + 8 - 0 !
configure.ac | 4 2 + 2 - 0 !
2 files changed, 10 insertions(+), 10 deletions(-)

 make build-system spot openbabel 3.x
openbabel3 plugin.patch | (download)

lib/plug-ins/OpenBabel-wrapper/ob_basic.cpp | 21 13 + 8 - 0 !
1 file changed, 13 insertions(+), 8 deletions(-)

 update plugin to build with openbabel 3.x api
 Quick and dirty porting of the plugin to the new API.